curl -X GET "http://VM_API_IP:PORT/screenshot" --output screenshot.png
[Binary PNG image data - save to file]
Data Plane
Screenshot
Capture the current visual state of the VM desktop
GET
/
screenshot
curl -X GET "http://VM_API_IP:PORT/screenshot" --output screenshot.png
[Binary PNG image data - save to file]
Captures the current visual state of the VM desktop and returns binary image data. Use this to get a screenshot of what the agent would see.
Replace
VM_API_IP:PORT with the actual IP and port of the VM’s Desktop Environment API server (e.g., r431.modal.host:41495).Response
Returns binary image data in PNG format. Save the response directly to a file.binary
PNG image data of the current desktop state
curl -X GET "http://VM_API_IP:PORT/screenshot" --output screenshot.png
[Binary PNG image data - save to file]